package jp.co.intra_mart.product.eb.sample.simplesales.dm;

import java.io.Serializable;

import java.util.Date;
/**
 * 商品マスタ
 */
public class EbSProduct implements Serializable{

	/**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 商品コード
	 */
	private String productCd;

	/**
	 * 商品名
	 */
	private String productName;

	/**
	 * 登録ユーザID
	 * データを追加したユーザ
	 */
	private String insertUserId;

	/**
	 * 更新ユーザID
	 * データを更新したユーザ
	 */
	private String recordUserId;

	/**
	 * 登録日
	 * 登録した日です
	 */
	private Date insertDate = new Date();

	/**
	 * 更新日
	 * 更新した日です
	 */
	private Date recordDate = new Date();

	/**
	 * 商品コードを設定します。
	 * @param productCd 商品コード
	 */
	public void setProductCd(String productCd) {
		this.productCd = productCd;
	}

	/**
	 * 商品コードを取得します。
	 * @return 商品コード
	 */
	public String getProductCd() {
		return this.productCd;
	}

	/**
	 * 商品名を設定します。
	 * @param productName 商品名
	 */
	public void setProductName(String productName) {
		this.productName = productName;
	}

	/**
	 * 商品名を取得します。
	 * @return 商品名
	 */
	public String getProductName() {
		return this.productName;
	}

	/**
	 * 登録ユーザIDを設定します。
	 * @param insertUserId 登録ユーザID
	 */
	public void setInsertUserId(String insertUserId) {
		this.insertUserId = insertUserId;
	}

	/**
	 * 登録ユーザIDを取得します。
	 * @return 登録ユーザID
	 */
	public String getInsertUserId() {
		return this.insertUserId;
	}

	/**
	 * 更新ユーザIDを設定します。
	 * @param recordUserId 更新ユーザID
	 */
	public void setRecordUserId(String recordUserId) {
		this.recordUserId = recordUserId;
	}

	/**
	 * 更新ユーザIDを取得します。
	 * @return 更新ユーザID
	 */
	public String getRecordUserId() {
		return this.recordUserId;
	}

	/**
	 * 登録日を設定します。
	 * @param insertDate 登録日
	 */
	public void setInsertDate(Date insertDate) {
		this.insertDate = insertDate;
	}

	/**
	 * 登録日を取得します。
	 * @return 登録日
	 */
	public Date getInsertDate() {
		return this.insertDate;
	}

	/**
	 * 更新日を設定します。
	 * @param recordDate 更新日
	 */
	public void setRecordDate(Date recordDate) {
		this.recordDate = recordDate;
	}

	/**
	 * 更新日を取得します。
	 * @return 更新日
	 */
	public Date getRecordDate() {
		return this.recordDate;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	 @Override
	public String toString() {
		StringBuilder result = new StringBuilder(super.toString());
		result.append("(productCd: ");
		result.append(productCd);
		result.append(", productName: ");
		result.append(productName);
		result.append(", insertUserId: ");
		result.append(insertUserId);
		result.append(", recordUserId: ");
		result.append(recordUserId);
		result.append(", insertDate: ");
		result.append(insertDate);
		result.append(", recordDate: ");
		result.append(recordDate);
		result.append(")");
		return result.toString();
	}
}