CREATE TABLE eb_s_sales_slip
(
	sales_slip_cd	 VARCHAR(50) NOT NULL,
	sales_date	 VARCHAR(10),
	customer_cd	 VARCHAR(50) NOT NULL,
	product_cd	 VARCHAR(50) NOT NULL,
	product_sales_amount	 VARCHAR(50),
	insert_user_cd	 VARCHAR(50),
	record_user_cd	 VARCHAR(50),
	insert_date	 VARCHAR(19),
	record_date	 VARCHAR(19),
	PRIMARY KEY (sales_slip_cd)
)

;
CREATE TABLE eb_s_customer
(
	customer_cd	 VARCHAR(50) NOT NULL,
	customer_name	 VARCHAR(100),
	insert_user_cd	 VARCHAR(50),
	record_user_cd	 VARCHAR(50),
	insert_date	 VARCHAR(19),
	record_date	 VARCHAR(19),
	PRIMARY KEY (customer_cd)
)

;
CREATE TABLE eb_s_product_unit_price
(
	customer_cd	 VARCHAR(50) NOT NULL,
	product_cd	 VARCHAR(50) NOT NULL,
	product_unit_price	 DECIMAL(19,4),
	insert_user_cd	 VARCHAR(50),
	record_user_cd	 VARCHAR(50),
	insert_date	 VARCHAR(19),
	record_date	 VARCHAR(19),
	product_name	 VARCHAR(100),
	customer_name	 VARCHAR(100),
	PRIMARY KEY (customer_cd, product_cd)
)

;
CREATE TABLE eb_s_product
(
	product_cd	 VARCHAR(50) NOT NULL,
	product_name	 VARCHAR(100),
	insert_user_cd	 VARCHAR(50),
	record_user_cd	 VARCHAR(50),
	insert_date	 VARCHAR(19),
	record_date	 VARCHAR(19),
	PRIMARY KEY (product_cd)
)

;
